Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class MockFilterChain

    java.lang.Object
      org.springframework.mock.web.MockFilterChain

All Implemented Interfaces:
  FilterChain

    public class MockFilterChain

extends Object
implements FilterChain

Mock implementation of the `FilterConfig` interface.

Used for testing the web framework; also usefol for testing custom `Filter` implementations.

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `MockFilterConfig`, `PassThroughFilterChain`

Constructor Summary
`MockFilterChain()`

Method Summary
`void` | `doFilter(ServletRequest request, ServletResponse response)` Records the request and response.
`ServletRequest` | `getRequest()` Return the request that `doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` has been called with.
`ServletResponse` | `getResponse()` Return the response that `doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` has been called with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockFilterChain

    public MockFilterChain()

Method Detail

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response)

  Records the request and response.

  Specified by:
    `doFilter` in interface `FilterChain`

### getRequest

    public ServletRequest getRequest()

  Return the request that `doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` has been called with.

### getResponse

    public ServletResponse getResponse()

  Return the response that `doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` has been called with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.